<template>
    <v-toolbar dense flat outlined>
    <v-btn
      icon
      :color="listView ? 'primary' : undefined"
      @click="$emit('show-list-click')"> 
      <v-icon>mdi-format-list-checks</v-icon>
    </v-btn>
    <v-subheader><b>View as a List</b></v-subheader>
    <v-btn
      v-if="showMapIcon"
      icon
      :color="!listView ? 'primary' : undefined"
      @click="$emit('show-map-click')">
      <v-icon>mdi-map-check</v-icon>
    </v-btn>
    <v-subheader><b>View as a Floor Plan</b></v-subheader>
  </v-toolbar>
</template>

<script>
export default {
    name: "RoomBar",
    props: {
    listView: {
      type: Boolean,
      required: false,
      default: true,
    },
    showMapIcon: {
      type: Boolean,
      required: false,
      default: true,
    }
  }
};
</script>

<style scoped>
    .v-toolbar{
        margin-bottom: 1em;
    }
</style>